﻿/// <reference path="data.js" />

(function (lightSwitchApplication) {

    msls._addEntryPoints(lightSwitchApplication.Session, {
        /// <field>
        /// Called when a new session is created.
        /// <br/>created(msls.application.Session entity)
        /// </field>
        created: [lightSwitchApplication.Session]
    });

    msls._addEntryPoints(lightSwitchApplication.Track, {
        /// <field>
        /// Called when a new track is created.
        /// <br/>created(msls.application.Track entity)
        /// </field>
        created: [lightSwitchApplication.Track]
    });

    msls._addEntryPoints(lightSwitchApplication.Room, {
        /// <field>
        /// Called when a new room is created.
        /// <br/>created(msls.application.Room entity)
        /// </field>
        created: [lightSwitchApplication.Room]
    });

    msls._addEntryPoints(lightSwitchApplication.Level, {
        /// <field>
        /// Called when a new level is created.
        /// <br/>created(msls.application.Level entity)
        /// </field>
        created: [lightSwitchApplication.Level]
    });

    msls._addEntryPoints(lightSwitchApplication.Timeslot, {
        /// <field>
        /// Called when a new timeslot is created.
        /// <br/>created(msls.application.Timeslot entity)
        /// </field>
        created: [lightSwitchApplication.Timeslot]
    });

    msls._addEntryPoints(lightSwitchApplication.Speaker, {
        /// <field>
        /// Called when a new speaker is created.
        /// <br/>created(msls.application.Speaker entity)
        /// </field>
        created: [lightSwitchApplication.Speaker]
    });

    msls._addEntryPoints(lightSwitchApplication.SessionType, {
        /// <field>
        /// Called when a new sessionType is created.
        /// <br/>created(msls.application.SessionType entity)
        /// </field>
        created: [lightSwitchApplication.SessionType]
    });

    msls._addEntryPoints(lightSwitchApplication.FavoriteSession, {
        /// <field>
        /// Called when a new favoriteSession is created.
        /// <br/>created(msls.application.FavoriteSession entity)
        /// </field>
        created: [lightSwitchApplication.FavoriteSession]
    });

}(msls.application));
