﻿/// <reference path="../GeneratedArtifacts/viewModel.js" />
//Styling
myapp.ViewSession.Description_postRender = function (element, contentItem) {
    $(element).css("font-style", "italic");
};
myapp.ViewSession.MoreInfoUrl_render = function (element, contentItem) {
    // Write code here.
    $("<a href='" + contentItem.value + "'>More info...</a>").appendTo($(element));
};
myapp.ViewSession.Bio_postRender = function (element, contentItem) {
    $(element).css("font-style", "italic");
};


//(Un-)Favorite this session.
myapp.ViewSession.created = function (screen) {
    screen.details.displayName = screen.Session.Title;
    myapp.activeDataWorkspace.ApplicationData.FindFavoriteSessions(screen.Session.Id)
        .execute().then(
            function (result) {
                screen.IsFavorite = result.results.length != 0;
            }
        );
};
myapp.ViewSession.Favorite_canExecute = function (screen) {
    return !screen.IsFavorite;
};
myapp.ViewSession.Favorite_execute = function (screen) {
    var favored = myapp.activeDataWorkspace.ApplicationData.FavoriteSessions.addNew();
    favored.setSession(screen.Session);
    myapp.applyChanges().then(screen.IsFavorite = true);
};
myapp.ViewSession.Unfavorite_canExecute = function (screen) {
    return screen.IsFavorite;
};
myapp.ViewSession.Unfavorite_execute = function (screen) {
    myapp.activeDataWorkspace.ApplicationData.FindFavoriteSessions(screen.Session.Id)
        .execute().then(
                function (result) {
                    result.results.forEach(
                        function (entity) {
                            entity.deleteEntity();
                        }
                   );

                    myapp.applyChanges().then(
                        function () {
                            screen.IsFavorite = false;
                        });
                }
            );
};