﻿Imports System.Linq.Expressions


Namespace LightSwitchApplication

    Public Class ApplicationDataService

        Private Sub NextSessions_PreprocessQuery(ByRef query As System.Linq.IQueryable(Of LightSwitchApplication.Session))
            Dim now As DateTime = DateTime.Now
            Dim nextTimeSlot As Timeslot
            Dim slotId As Integer = -1

            now = New DateTime(2013, 5, 16, 14, 0, 1) 'This line for demo purposes only.  
            'It conveniently brings Michael's l! :-)

            nextTimeSlot = (From timeslot In Me.Timeslots Where timeslot.StartTime > now Select timeslot).OrderBy(Function(t) t.StartTime).FirstOrDefault()
            If nextTimeSlot IsNot Nothing Then
                slotId = nextTimeSlot.Id
            End If

            query = From session In query Where session.Timeslot.Id = slotId Select session

        End Sub

        Private Sub FavoriteSessions_Inserting(entity As FavoriteSession)
            entity.User = Application.User.FullName
        End Sub

        Private Sub FavoriteSessions_Filter(ByRef filter As System.Linq.Expressions.Expression(Of System.Func(Of FavoriteSession, Boolean)))
            ' filter = Function(e) e.IntegerProperty = 0
            Filter = Function(f) f.User = Application.User.FullName
        End Sub
    End Class

End Namespace
